<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Anwesenheiten;

class AnwesenheitenController extends \Kufer\Web\KuferTools\Basis\AnwesenheitenKurs\AnwesenheitenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnwesenheitenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return AnwesenheitenUseCase::getToolId();
  }
}